=== debian/changelog ===
ogre-1.9 (1.9.0+dfsg1-4) unstable; urgency=medium

  * Fix problem building GLES2 in big endian architectures (patch:
    fix-rendersystem-gles2-big-endian.patch)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 20 Sep 2014 19:29:15 +0100

ogre-1.9 (1.9.0+dfsg1-3) unstable; urgency=medium

  * Enable support for GLES, thanks Bret Curtis
  * Create new patch support-arm64.patch to try to fix FTBFS on this port

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 12 Sep 2014 17:11:54 +0100

ogre-1.9 (1.9.0+dfsg1-2) unstable; urgency=medium

  * Change dependencies on Boost to the default versions (Closes: #749944)
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 25 Jun 2014 21:12:05 +0100

ogre-1.9 (1.9.0+dfsg1-1) unstable; urgency=low

  * New upstream version
    - Repack the source to meet DFSG (simply removed all 'Samples', 'SDK' and
      '.hg*')
  * Remove dependency on GCC >= 4.8, it is causing problems in its current
    form and all architectures will be required soon to use 4.8 as default
    compiler if not done yet (Closes: #728521)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 20 Dec 2013 00:50:55 +0000

ogre-1.9 (1.9.0~rc2+dfsg1-3) unstable; urgency=low

  * Make install rules also different for arch and indep

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 16 Oct 2013 15:31:37 +0100

ogre-1.9 (1.9.0~rc2+dfsg1-2) unstable; urgency=low

  * Separate building rules in arch-dependent and independent sections, to
    only build doc once (unneeded and very taxing, especially for less
    powerful machines).  At the moment is failing to build in all arches
    in buildds.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 16 Oct 2013 12:06:09 +0100

ogre-1.9 (1.9.0~rc2+dfsg1-1) unstable; urgency=low

  * New upstream version
    - Repack the source to meet DFSG (simply removed all 'Samples', 'SDK' and
      '.hg*')
    - Support by upsteam of newer atomic functions, drop
      bug-725143-atomics.patch
  * Build-Depends-Indep on doxygen, graphviz and texinfo to build the
    documentation (was not present in the last revisions due to changes
    upstream, it was pre-generated before)
  * Build-Depends on GCC 4.8 and force to use that version to compile in
    debian/rules.  This is another attempt to fix the problem of being unable to
    build in some architectures (Closes: #725143).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 14 Oct 2013 19:52:35 +0100

ogre-1.9 (1.9.0~20130731+dfsg1-4) unstable; urgency=low

  * Another attempt to fix the problem of being unable to build in some
    architectures (Closes: #725143).  I think that this is a bit overkill for a
    not-even-release-candidate version of a package with a very low popcon, but
    this might prove useful for applying the fix upstream or to have in more
    important future versions of the package Debian (if upstream devs don't want
    to handle this themselves).  The changes:
    - Restrict build-depend on "g++ (>= 4:4.8.1-3)" only for the architectures
      where the fix is actually needed (from the official ports at the moment:
      mips mipsel powerpc sparc), so it builds in those arches where the fix is
      not needed while they don't have 4.8 as default.
    - Patch 'bug-725143-atomics.patch': change legacy __sync compiler built-ins
      for the similar __atomic ones, because libatomic doesn't seem to have
      all/some of the __sync ones that caused this problem in the first place.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 10 Oct 2013 15:33:41 +0100

ogre-1.9 (1.9.0~20130731+dfsg1-3) unstable; urgency=low

  * Add build-depend on "g++ (>= 4:4.8.1-3)" and fixes for building in several
    arches (Closes: #725143).  Thanks Rebecca N. Palmer for the report and the
    suggested fix.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 09 Oct 2013 23:46:54 +0100

ogre-1.9 (1.9.0~20130731+dfsg1-2) unstable; urgency=low

  * Document some files missing in debian/copyright

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 07 Sep 2013 18:42:47 +0100

ogre-1.9 (1.9.0~20130731+dfsg1-1) unstable; urgency=low

  * New upstream version
    - Repack the source (simply removing all ./Samples/) to meet DFSG
  * debian/patches: Drop all of them

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 17 Aug 2013 16:01:32 +0100

ogre-1.8 (1.8.0+dfsg1-4) unstable; urgency=low

  * Change maintaner address
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Remove obsolete "DM-Upload-Allowed: yes"
  * debian/control: Change dependencies on Boost to a current version after the
    stable realease
  * debian/patches:
    - boost-1.53.patch: Support Boost 1.53 (Closes: #704044)
  * debian/rules: Remove "-Wl,-z,defs -Wl,--as-needed" from
    DEB_LDFLAGS_MAINT_APPEND, it's not linking properly against recent versions
    of Boost because of this (Closes: #713640)
  * Install Blender plugin in the proper directory for Blender to pick it up
    automatically (Closes: #704777).  Thanks Paul Wise for the tip.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 01 Aug 2013 00:01:32 +0100

ogre-1.8 (1.8.0+dfsg1-3) unstable; urgency=low

  * Document some files oversought in debian/copyright (Closes: #690199).
    Thanks Bart Martens and Anton Gladky for reporting and collaborating in
    fixing the problem.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 13 Nov 2012 20:02:38 +0000

ogre-1.8 (1.8.0+dfsg1-2) unstable; urgency=low

  * Remove Samples altogether, since almost all of them contain or depend on
    non-free items (fonts and some media objects, see Debian and upstream bug
    report).
    After contacting upstream, they are not inclined to resolve the issue soon
    (read: it will take years and several major releases, if it happens at all).
    All of them are removed and there will be no attempt to track which ones are

